package com.example.listviewcustom05;



import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;


public class details extends Activity {	
	
	Bundle extras;
	
	//protected List<contact_action> actions;
    //protected EmployeeActionAdapter adapter;
    protected TextView employeeNameText;
	protected TextView titleText;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) 
	{		
		super.onCreate(savedInstanceState);	
		setContentView(R.layout.details);	
		
		String nom = extras.getString("nom");
		String prenom = extras.getString("prenom");
		String adresse = extras.getString("adresse");
		String email = extras.getString("email");
		String portable = extras.getString("portable");
		String fixe = extras.getString("fixe");
		
		
		
			
			
			
			 employeeNameText = (TextView) findViewById(R.id.employeeName);
		     employeeNameText.setText(nom);
		
		     titleText = (TextView) findViewById(R.id.title);
		        titleText.setText(prenom);
			
	        
	      //  actions = new ArrayList<contact_action>();
	       
	      //  actions.add(new contact_action("Call office", fixe, contact_action.ACTION_CALL));
	      //  actions.add(new contact_action("Call mobile", portable, contact_action.ACTION_CALL));
	      //  actions.add(new contact_action("SMS", email, contact_action.ACTION_SMS));
	      //  actions.add(new contact_action("Email", email, contact_action.ACTION_EMAIL));
		
	      //  adapter = new EmployeeActionAdapter();
	      //  setListAdapter(adapter);
	
	}
	/*
	  class EmployeeActionAdapter extends ArrayAdapter<contact_action> 
	  {

	    	EmployeeActionAdapter() {
				super(details.this, R.layout.action_list_item, actions);
			}
	    	
	    	@Override
	    	public View getView(int position, View convertView, ViewGroup parent)
	    	{
	    		contact_action action = actions.get(position);
	    		LayoutInflater inflater = getLayoutInflater();
	    		View view = inflater.inflate(R.layout.action_list_item, parent, false);
	    		TextView label = (TextView) view.findViewById(R.id.label);
	    		label.setText(action.getLabel());
	    		TextView data = (TextView) view.findViewById(R.id.data);
	    		data.setText(action.getData());
	    		return view;
	    	}
	    	
	    }
	*/
	
}

